/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.asynchronous;

import java.util.Collection;

/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.4.4 $
 */
public interface TxSession
{
   public void createFruit(String name, boolean rollback);

   public void createVeg(String name, boolean rollback);

   public Collection getEntries();

   public void cleanAll();
   
}
